; Ti86und.inc
;   Undocumented ROM routines
;   version 9/10/98


#define equ .equ
#define EQU .equ


; from Pat Milheron's Pede
_shracc           EQU	4383h	;shift A right 4 bits
_jforcecmdnochar  EQU	409Ch	;exit program
_formreal         EQU	5191h
_ckop1fp0         EQU	449Bh	;check if OP1 is zero
_ckop1pos         EQU	450Fh	;check if OP1 is positive
_mov10op2add      EQU	5464h
_cphlde           EQU	403Ch	;compare hl and de, set z flag if EQUal
_ldhlind          EQU	4010h	;load (hl) into hl

;
_dispAHL          EQU	4a33h	;displays ahl
_HLdiv10          EQU	4044h	;divide hl by 10
_HLdivA           EQU	4048h	;divide hl by a
_ldhlz            EQU	437bh	;write b zeros to (hl)
_inc_ahl          EQU	4637h	;increment ahl

_dispOP1          EQU	515bh	;display op1 as result
_cpOP1OP2         EQU	41fbh	;compare OP1 to OP2
_fracOP1          EQU	4B93h	;convert OP1 to OP1/OP2
_randint          EQU	5544h	;random integer from OP1 - OP2

_calcoff          EQU	4101h	;turn off calc
_exec_basic       EQU	4c47h	;basic program in OP1
_resetAPD         EQU	4060h
_resetmem         EQU	4109h
_pause            EQU   4d43h

_FindAlphaUp      EQU   514Bh	;search VAT by type
_FindAlphaDn      EQU   514Fh
_cursoron         EQU   4994h	;turn on blinking cursor
_curosroff        EQU   498Ch	;turn off blinking cursor

; from Dan Eble
_strlen           EQU   4957h	;bc = length of string (hl)
_strcpy           EQU   495Bh	;hl->source, de->destination
_strcat           EQU   495Fh	;hl->source, de->destination
_strcmp           EQU   4963h	;compare (hl) to (de), length bytes first
