;
;
;       Floating Point Math entry points for TI-86
;
;

#define equ .equ
#define EQU .equ


_INTGR          EQU            5468h            ; op1 = intgr(op1)
_MINUS1         EQU            5470h            ; op1 = op1 - 1
_FPSUB          EQU            5474h            ; op1 = op1-op2
_FPADD          EQU            5478h            ; op1 = op1+op2
_TIMESPT5       EQU            5484h            ; op1 = .5 * op1
_FPSQUARE       EQU            5488h            ; op1 = op1^2
_FPMULT         EQU            548Ch            ; op1 = op1*op2
_FRAC           EQU            549Ch            ; op1 = frac(op1)
_FPRECIP        EQU            54A4h            ; op1 = 1/op1
_FPDIV          EQU            54A8h            ; op1 = op1/op2
;
_SQROOT         EQU            54ACh     ; op1 = sqrt(op1), neg #'s error
_SQROOTP        EQU            54B0h     ; op1 = sqrt(op1), neg #'s -> complex
;
_RNDGUARD       EQU            54BCh            ; round op1 to 12 digits
;
_LNX            EQU            54C4h     ; op1 = ln(op1), neg #'s error
_LNXP           EQU            54C8h     ; op1 = ln(op1), neg #'s -> complex
;
_LOGXP          EQU            54CCh     ; op1 = log(op1), neg #'s error
_LOGX           EQU            54D0h     ; op1 = log(op1), neg #'s -> complex
;
_ETOX           EQU            54D4h            ; op1 = e^op1
_TENX           EQU            54D8h            ; op1 = 10^op1
;
_SIN            EQU            54E0h            ; op1 = sin(op1), current mode
_COS            EQU            54E4h            ; op1 = cos(op1), current mode
_TAN            EQU            54E8h            ; op1 = tan(op1), current mode
;
_TANH           EQU            54F0h            ; op1= hyp tan(op1)
_COSH           EQU            54F4h            ; op1= hyp cos(op1)
_SINH           EQU            54F8h            ; op1= hyp sin(op1)
;
_ACOS           EQU            5508h   ; op1 = inv cos(op1), no complex results
_ACOSP          EQU            550Ch   ; op1 = inv cos(op1), complex results ok
;
_ATAN           EQU            5510h            ; op1 = inv tan(op1)
_ASIN           EQU            5514h            ; op1 = inv sin(op1)
;
_ATANH          EQU            551Ch            ; op1 = inv hyp Tan(op1)
_ASINH          EQU            5524h            ; op1 = inv hyp sin(op1)
_ACOSH          EQU            5528h            ; op1 = inv hyp cos(op1)
;
_YTOX           EQU            5538h            ; op1 = op1^op2

