;
;
;       Support routines for OP1 - OP6 registers
;
;
;

#define equ .equ
#define EQU .equ


_OP3TOOP4       EQU            4203h            ; op3 -> op4, 11 bytes moved
_OP1TOOP4       EQU            4207h
_OP2TOOP4       EQU            420Bh
_OP4TOOP2       EQU            4213h
_OP4TOOP3       EQU            4217h
_OP3TOOP2       EQU            421Bh
_OP1TOOP3       EQU            421Fh
_OP5TOOP2       EQU            4227h
_OP5TOOP6       EQU            422Bh
_OP5TOOP4       EQU            422Fh
_OP1TOOP2       EQU            4233h
_OP6TOOP2       EQU            423Bh
_OP6TOOP1       EQU            423Fh
_OP4TOOP1       EQU            4243h
_OP5TOOP1       EQU            4247h
_OP3TOOP1       EQU            424Bh
_OP4TOOP5       EQU            424Fh
_OP3TOOP5       EQU            4253h
_OP2TOOP5       EQU            4257h
_OP2TOOP6       EQU            425Fh
_OP1TOOP6       EQU            4263h
_OP1TOOP5       EQU            426Bh
_OP2TOOP1       EQU            426Fh
;
_MOV10B         EQU            427Bh            ; move 10 bytes
_MOV18          EQU            427Fh
_mov9b          EQU            4283h
_MOV8B          EQU            4287h
_MOV7B          EQU            428Bh
_MOV6B          EQU            4293h
_MOV5B          EQU            4297h
_MOV4B          EQU            429Bh
_MOV3B          EQU            429Fh
_MOV2B          EQU            42A3h
_OP2TOOP3       EQU            42CBh
_OP4TOOP6       EQU            42D3h
_MOV10TOOP1     EQU            42D7h     ; 10 bytes @ (hl) -> op1 non banked
_MOV10TOOP2     EQU            42DFh     ; 10 bytes @ (hl) -> op2 non banked
_MOVFROP1       EQU            42E3h     ; 10 bytes @ op1 -> (de) non banked
;
_OP4SET1        EQU            42E7h     ; op4 = floatin point 1
_OP3SET1        EQU            42EBh
_OP2SET8        EQU            42EFh
_OP2SET5        EQU            42F7h
_OP2SET4        EQU            42FBh
_OP2SET3        EQU            4303h
_op1set1        EQU            430Fh
_OP1SET4        EQU            4313h
_OP1SET3        EQU            4317h
_OP3SET2        EQU            431Bh
_OP1SET2        EQU            431Fh
_OP2SET2        EQU            4323h
_OP2SET1        EQU            432Fh
_OP4SET0        EQU            4353h
_OP3SET0        EQU            4357h
_OP2SET0        EQU            435Bh
_OP1SET0        EQU            435Fh
;
_ZEROOP1M       EQU            4367h            ; mantissa op1 = 0's
_ZEROOP1        EQU            436Bh            ; 11 bytes op1 = 0
_ZEROOP2        EQU            436Fh
_ZEROOP3        EQU            4373h
